from django.contrib.auth import models as auth_models
from rest_framework import serializers
from api import models
from sde import serializers as sde_serializers, models as sde_models


class UserSerializer(serializers.ModelSerializer):
    class Meta:
        model = auth_models.User
        fields = ['id', 'username', 'email', 'groups']


class GroupSerializer(serializers.ModelSerializer):
    class Meta:
        model = auth_models.Group
        fields = ['id', 'name']


class AcquisitionSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.Acquisition
        fields = '__all__'


class TypeTrackingSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.TypeTracking
        fields = '__all__'
